### SHoMBler (Self Hosted MicroBlogger)

## What is Shombler?

Shombler is a light weight, hyper minimalistic, cli based microbloging platform.

## Why?

Why not? Its geared to those who both want to control their own data, avoid censorship, and spend a lot of time in a command line environment. Why load up a browser, and use some privately controled platform that sells your data, when you can just enter a simple command, and not be controled by some big tech nightmare.

## Whatabout the social aspect?

What about it? The web should never have been socialized in this developers oppinion. There is and will never be a commenting functionality built into Shombler. If you really feel like you must type at eachother and have your little flame wars, just link to the other persons post in your post, or fork this or something if you really must. 

## Ok well, hows it work?

Shombler is composed of 3 parts: Input, Storage, Presentation

* Input: fairly self explainitory, a script that takes your input and stores it in...
* Storage: a sqlite database designed to basically just hold entries and their dates (no character limit like some platforms btw, go hog wild... within reason.
* Presentation: A backend script, designed to be accessable by a webserver, that provides a read only API spitting out entries according to the request given to it. This will be given as JSON, which should make it very portable, it should easily be dropable into any old(or new) website ether using the included code snipet, or you can roll your own, the documentation should be very easy to understand and writing your own access should be very stright forward as long as you know some sort of front end language. 

## Sounds complicated... Got a tutorial?

I mean, not really but I can write one eventually.

## Prerequisits

* DBI perl module
* DBD::SQLite module
